CloudLinux PHP Selector 安裝

CloudLinux 有個很有趣的功能 叫做 PHP Selector

他可以讓使用者自由切換他想要的 php 版本

這對一堆早期製作的網站非常有幫助

因為很多客戶委託的公司/工作室

早已不知去向

通常我的 cPanel php 版本都是最新的

但如果是很久以前開發的網站

有可能用了現在已經無法使用的 php function

一換上來我的主機 就完蛋了

但php不升級可能會有漏洞

既然已經裝了 CloudLinux

就把 PHP Selector 也裝一裝吧

可以參考這個安裝連結

http://docs.cloudlinux.com/index.html?installation.html

不過比較誇張的是

裝這個要另外準備 10~20G 的空間

如果機器容量吃緊的話

可能就要斟酌一下

裝好之後可以參考這個頁面

http://docs.cloudlinux.com/index.html?using_php_selector.html

你的 user 就可以自己選擇要執行的 php 版本

當然管理者也可以從 WHM 去設定 user 能選擇的 php 版本

另外

不同的 php 版本

也要對應不同版本的 php.ini

PHP Selector 都可以分開設定

頗複雜

裝好以後

就可以”挽救”一些年久失修的網站啦

不過為了安全性起見

還是說服這些老網站的老闆盡快改版吧